Bug 1199955 - (CVE-2022-31624) VUL-0: CVE-2022-31624: mariadb-100,mariadb: MariaDB Server before 10.7 is vulnerable to Denial of Service. While executing the plugin/server_audit/server_audit.c method log_statement_ex
(CVE-2022-31624)
VUL-0: CVE-2022-31624: mariadb-100,mariadb: MariaDB Server before 10.7 is vul...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/332952/
CVSSv3.1:SUSE:CVE-2022-31624:5.9:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-05-26 15:34 UTC by Gianluca Gabrielli
Modified: 2022-09-29 13:05 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2022-05-26 15:34:31 UTC
MariaDB Server before 10.7 is vulnerable to Denial of Service. While executing
the plugin/server_audit/server_audit.c method log_statement_ex, the held lock
lock_bigbuffer is not released correctly, which allows local users to trigger a
denial of service due to the deadlock.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-31624
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-31624
https://github.com/MariaDB/server/commit/d627d00b13ab2f2c0954ea7b77202470cb102944
https://jira.mariadb.org/browse/MDEV-26556?filter=-2
Comment 1 Gianluca Gabrielli 2022-05-26 15:35:24 UTC
Affected packages:
 - SUSE:SLE-12-SP4:Update/mariadb-100
 - SUSE:SLE-12-SP3:Update:Products:Cloud8:Update/mariadb
 - SUSE:SLE-12-SP1:Update/mariadb

Upstream patch:
 - https://github.com/MariaDB/server/commit/d627d00b13ab2f2c0954ea7b77202470cb102944
Comment 3 Danilo Spinella 2022-06-10 10:05:47 UTC
The patch is not available for mariadb-100. Other mariadb version in SLE codestreams are not affected.